import { BaseView, IBaseViewOptions } from "../../BaseView.js";
import GridView from "./GridView.js";
import GroupModel from "../../../Models/GroupModel.js";
import FooterView from "./FooterView.js";
export interface IGridDescriptionResizerOptions extends IBaseViewOptions {
    parent: GridView;
    footer: FooterView;
    source: GroupModel;
}
export default class GridDescriptionResizer extends BaseView {
    private m_parent;
    constructor(options: IGridDescriptionResizerOptions);
    protected get source(): GroupModel;
    private get parent();
    private get footer();
    template(): string | Array<string> | JQuery;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    protected onBrowserResize(): void;
    protected onDestroy(e: Jade.UI.ControlEventArgs): void;
    private setResizerTopOnDrag;
    private setResizerTopOnContainerResize;
    private getDescriptionTop;
    private setPosition;
}
